/*:root {*/
/*	--dialog-border-color: #999999;*/
/*	--dialog-border-color-prompt: */
/*}*/

dialog.dialog_overlay::backdrop {
	background: rgba(0, 0, 0, 0.9);
}

dialog.dialog_overlay {
	/* region dialog.dialog_overlay: Sizing */
	box-sizing: border-box;
	margin: 30px auto 0;
	padding: 0;
	min-width: 50%;
	max-width: calc(100% - 4px);
	/* endregion dialog.dialog_overlay: Sizing */

	/* region dialog.dialog_overlay: Edges */
	/* endregion dialog.dialog_overlay: Edges */
}

dialog.dialog_overlay.dialog_cal {
	margin:5% auto;
}

dialog.dialog_overlay:focus-visible {
	outline: none;
}

dialog.dialog_overlay,
dialog.dialog_overlay .dialog_sect_scrollable {
	overscroll-behavior: none;
}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper),
dialog.dialog_overlay.dialog_overlay_form_wrapper > form {
	/* region dialog.dialog_overlay: Flex */
	display: flex;
	flex-wrap: nowrap;
	flex-direction: column;
	justify-content: start;
	align-items: stretch;
	align-content: start;
	overflow: hidden;
	/*font-size:1.4em;*/
	min-height:25vh;
	/*gap: 20px;*/
	/* endregion dialog.dialog_overlay: Flex */
}

/* region Special mode: Hide all dialog_overlay except the last one */
/*
[class~="dialog_overlay"],
[class~="dialog_overlay"]::backdrop {
	opacity: 0;
}
[class~="dialog_overlay"]:last-of-type,
[class~="dialog_overlay"]:last-of-type::backdrop {
	opacity: initial;
}
*/
/* endregion Special mode: Hide all dialog_overlay except the last one */

@media screen and (min-width: 700px) {
	dialog.dialog_overlay {
		max-width: calc(100% - 100px);
		/*width: auto;*/
	}
}

dialog.dialog_overlay.dialog_cal {
	user-select: none;
	border: solid 1px #999;
	border-radius: 5px;
	min-width: 400px;
	font-size:1.4em;
}

/* Once the screen width reaches 400px, we lock the calendar width */
@media screen and (min-width: 400px) {
	dialog.dialog_overlay.dialog_cal {
		width: 400px;
	}
}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > *,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > * {
	flex: 0 1 auto;
	padding: 30px 30px 20px 30px;
}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > * + *,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > * + * {
	padding-top: 10px;
}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > :last-child,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > :last-child {
	padding-bottom: 20px;
}

/* Last item inside each "flex section" within the dialog */
dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > * > *:last-child,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > * > *:last-child {
	margin-bottom: 0;
}

/* Each section that is marked as a scrollable. Usually there should be only one */
dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > .dialog_sect_scrollable,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > .dialog_sect_scrollable {
	flex-grow: 1;
	overflow: auto;
}

/* Remove weirdness from paragraph defaults */
dialog.dialog_overlay p {
	margin: 0 0 1em;
	padding: 0;
}


dialog.dialog_overlay {
	box-shadow: 0 6px 28px rgb(0 0 0 / 8%);
	border:1px solid #fff;
	border-radius:8px;
	background-color:#f6f6f6;
}

dialog.dialog_overlay > :first-child {
	background: linear-gradient(to bottom, #99999919 0%, #99999900 10%);
}

dialog.dialog_overlay > :last-child {
	background: linear-gradient(to top, #99999919 0%, #99999900 10%);
}

dialog.dialog_overlay.notice > :first-child {
	background: linear-gradient(to bottom, #62b33219 0%, #62b33200 10%);
}

dialog.dialog_overlay.notice > :last-child {
	background: linear-gradient(to top, #62b33219 0%, #62b33200 10%);
}

dialog.dialog_overlay.prompt > :first-child {
	background: linear-gradient(to bottom, #e6954519 0%, #e6954500 10%);
}

dialog.dialog_overlay.prompt > :last-child {
	background: linear-gradient(to top, #e6954519 0%, #e6954500 10%);
}

dialog.dialog_overlay.error > :first-child {
	background: linear-gradient(to bottom, #822b2b19 0%, #822b2b00 10%);
}

dialog.dialog_overlay.error > :last-child {
	background: linear-gradient(to top, #822b2b19 0%, #822b2b00 10%);
}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > :first-child > *,
dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > :last-child > *,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > :first-child > *,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > :last-child > * {

}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > .dialog_sect_buttons ul,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > .dialog_sect_buttons ul {
	list-style: none;
	text-align: center;
	margin: 0;
}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > .dialog_sect_buttons li,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > .dialog_sect_buttons li {
	display: inline-block;
}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > .dialog_sect_buttons .loader,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > .dialog_sect_buttons .loader {
	margin: 10px 20px 10px 0;
}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > .dialog_sect_buttons .save_buttons_loading,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > .dialog_sect_buttons .save_buttons_loading {
	text-align: center;
}

/* region Headings */

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > *:first-child > h2,
dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) h2,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > *:first-child > h2,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > h2 {

}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > *:first-child > h2,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > *:first-child > h2 {
	margin-top:0;
}

dialog.dialog_overlay.dialog_cal:not(.dialog_overlay_form_wrapper) > *:first-child > h2 {
	text-align: center;
	background-color:#fff;
	font-size:1.6em;
	padding:6px 0;
}

dialog.dialog_overlay.prompt:not(.dialog_overlay_form_wrapper) > *:first-child > h2::before,
dialog.dialog_overlay.prompt.dialog_overlay_form_wrapper > form > *:first-child > h2::before {
	display: inline-block;
	/*width: 1em;*/
	/*height: 1em;*/
	content: "";
	/*background: transparent url(../../images/svg/dialogue_prompt_icon.svg) no-repeat center center;*/
	background-size: 90% 90%;
	vertical-align: -10%;
	margin-right: 6px;
}

dialog.dialog_overlay.notice:not(.dialog_overlay_form_wrapper) > *:first-child > h2::before, dialog.dialog_overlay.notice.dialog_overlay_form_wrapper > form > *:first-child > h2::before {
    display: inline-block;
    /*width: 1em;*/
    /*height: 1em;*/
    content: "";
    /*background: transparent url(../../images/svg/dialogue_notice_icon.svg) no-repeat center center;*/
    background-size: 96% 96%;
    vertical-align: -12%;
    margin-right: 6px;
}

dialog.dialog_overlay.error:not(.dialog_overlay_form_wrapper) > *:first-child > h2::before,
dialog.dialog_overlay.error.dialog_overlay_form_wrapper > form > *:first-child > h2::before {

}

dialog.dialog_overlay.notice:not(.dialog_overlay_form_wrapper) > *:first-child > h2,
dialog.dialog_overlay.notice.dialog_overlay_form_wrapper > form > *:first-child > h2 {

}

dialog.dialog_overlay.error:not(.dialog_overlay_form_wrapper) > *:first-child > h2,
dialog.dialog_overlay.error.dialog_overlay_form_wrapper > form > *:first-child > h2 {

}

dialog.dialog_overlay.prompt:not(.dialog_overlay_form_wrapper) > *:first-child > h2,
dialog.dialog_overlay.prompt.dialog_overlay_form_wrapper > form > *:first-child > h2 {

}

dialog h3, dialog h2.h3style {
	font-size: 1.1em!important;
	font-weight: 600 !important;
}


dialog.dialog_overlay.dialog_cal > * {
	/*padding: 0;*/
	font-size: 1em; /* Put back after the other rule increases by 1.1em */
}

dialog.dialog_overlay.dialog_cal > .dialog_sect:not(.dialog_sect_buttons) {
	padding: 0;
}

dialog.dialog_overlay:not(.dialog_overlay_form_wrapper) > .dialog_sect_buttons,
dialog.dialog_overlay.dialog_overlay_form_wrapper > form > .dialog_sect_buttons {
	padding:9px 0 12px 0;
}

dialog.dialog_overlay.dialog_cal:not(.dialog_overlay_form_wrapper) > .dialog_sect_buttons {
	padding:6px 0 9px 0;
}


/* endregion Headings */

/* region Scrollbars */
/*dialog.dialog_overlay::-webkit-scrollbar-thumb,*/
/*dialog.dialog_overlay > *::-webkit-scrollbar-thumb {*/
/*	background-color: #666666;*/
/*	border: 4px solid transparent;*/
/*	border-radius: 8px;*/
/*	background-clip: padding-box;*/
/*}*/

/*dialog.dialog_overlay::-webkit-scrollbar,*/
/*dialog.dialog_overlay > *::-webkit-scrollbar {*/
/*	width: 16px;*/
/*}*/

dialog.dialog_overlay,
dialog.dialog_overlay > * {
	scrollbar-width: auto;
	scrollbar-color: #444444 #ffffff;
}

dialog.dialog_overlay::-webkit-scrollbar,
dialog.dialog_overlay > *::-webkit-scrollbar {
	width: 16px;
}

dialog.dialog_overlay::-webkit-scrollbar-track,
dialog.dialog_overlay > *::-webkit-scrollbar-track {
	background: #ffffff;
}

dialog.dialog_overlay::-webkit-scrollbar-thumb,
dialog.dialog_overlay > *::-webkit-scrollbar-thumb {
	background-color: #444444;
	border-radius: 8px;
	border: 4px solid transparent;
	background-clip: padding-box;
}

/* endregion Scrollbars */

/* region Custom TLP */
.menubar.simple_btn .btn {
	padding: 5px !important;
	height: auto !important;
	line-height: 1 !important;
	background: #922600;
}
/* endregion Custom TLP */

/* Mirroring font sizes of .mit_alert_inner */
dialog .dialog_sect {
	/*font-size:1.1em;*/
}

/* Yeesh AMaT is a pain */
dialog.dialog_overlay .tooltip_outer {
	font-size: 80%;
}

dialog .infolayer {
	background: #eee;
}

dialog .infolayer h3, dialog .infolayer h2.h3style {
	padding:8px;
}

dialog .infolayer a.toggle {
	color:#333;
	font-size:1.1em;
}

dialog .help_area {
	padding:0 8px;
}